Bug 187739 - Installs shared lib into %{_libdir}/Tix8.4, but doesn't setup ldconfig
Installs shared lib into %{_libdir}/Tix8.4, but doesn't setup ldconfig
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tix (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks: 187862
  Show dependency treegraph
 
Reported: 2006-04-03 08:09 EDT by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 13:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-04-03 08:09:48 EDT
Description of problem: 
 
ImportError: libTix8.4.so: cannot open shared object file: No such file or 
directory 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
everytime 
 
Steps to Reproduce: 
1. 
2. 
3. 
   
Actual results: 
 
 
Expected results: 
 
 
Additional info:
Comment 1 Sergio Pascual 2006-04-04 05:15:31 EDT
This problem appears, for example, after installing the python module tkinter

yum install tkinter

python -c 'import Tkinter'

Traceback (most recent call last):
  File "<string>", line 1, in ?
  File "/usr/lib/python2.4/lib-tk/Tkinter.py", line 38, in ?
    import _tkinter # If this fails your Python may not be configured for Tk
ImportError: libTix8.4.so: cannot open shared object file: No such file or directory

The package tik-8.4.0-3.1 includes /usr/lib/libTix8.4.so, but the current tix
(version tix-8.4.0-4) includes /usr/lib/Tix8.4/libTix8.4.so
Comment 2 Fedora Update System 2006-04-05 16:14:35 EDT
tix-8.4.0-6 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.